From b0206be2e99027d588fbf9aaa0ba87d39ca81729 Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Jul 07 2015 17:04:34 +0000
Subject: [PATCH 152/1001] Check the type of this string.


---

diff --git a/hubs/app.py b/hubs/app.py
index f5262d4..718b32f 100644
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -5,6 +5,7 @@ import os
 import flask
 import flask.json
 import munch
+import six
 
 from flask.ext.openid import OpenID
 
@@ -184,7 +185,12 @@ def check_auth():
     flask.g.fedmsg_config = fedmsg_config
     flask.g.auth = munch.Munch(logged_in=False)
     if 'openid' in flask.session:
-        openid = flask.session.get('openid').strip('/').split('/')[-1]
+
+        openid = flask.session.get('openid')
+        if isinstance(openid, six.binary_type):
+            openid = openid.decode('utf-8')
+        openid = openid.strip('/').split('/')[-1]
+
         flask.g.auth.logged_in = True
         flask.g.auth.openid = openid
         flask.g.auth.user = hubs.models.User.by_openid(session, openid)

